#ifndef ASWM_MAPPER
#define ASWM_MAPPER

#include <X11/Xlib.h>

struct AswmTile;

typedef struct AswmTile {
	int x, y;
	int width, height;
	bool free;
	Display* display;
	Window window;
	bool has_children;
	struct AswmTile* children[2];
} AswmTile;

AswmTile* aswm_alloc_tile();
AswmTile* aswm_alloc_root_tile(Display* display, Window window);
void aswm_free_tile(AswmTile* tile);

AswmTile* aswm_map_new_window(Display* display, Window window, AswmTile* tile);
AswmTile* aswm_unmap_window(Display* display, Window window, AswmTile* tile);

#endif
